<bugID>1210944<Summary>Return a promise in BackgroundPageThumbs.captureIfMissing</Summary><Description>For the remote newtab page, in order for the privileged context to return a thumbnail when it's ready, we want captureIfMissing in BackgroundPageThumbs to return a promise.

It is used in the RemoteAboutNewTab module in bug 1210940.</Description></bugID>